Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins
Interface PluginContainer

    org.gradle.api.plugins.PluginContainer
      org.gradle.api.plugins.PluginCollection
          org.gradle.api.DomainObjectCollection

All Superinterfaces:
  PluginCollection, DomainObjectCollection

    interface PluginContainer
    extends PluginCollection

A `PluginContainer` is used to manage a set of org.gradle.api.Plugin instances.

author:
  Hans Dockter

Method Summary
`Plugin` | `findPlugin(java.lang.String name)` Returns the plugin for the given name.
`Plugin` | `findPlugin(java.lang.Class type)` Returns the plugin for the given type.
`boolean` | `hasPlugin(java.lang.String name)` Returns true if the container has a plugin with the given name, false otherwise.
`boolean` | `hasPlugin(java.lang.Class type)` Returns true if the container has a plugin with the given type, false otherwise.

Methods inherited from interface PluginCollection
allPlugins, allPlugins, getAt, getByName, matching, whenPluginAdded, whenPluginAdded, withType

Methods inherited from interface DomainObjectCollection
allObjects, allObjects, findAll, findByName, getAll, getAsMap, getAt, getByName, getByName, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from interface java.lang.Iterable
iterator

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Method Detail

### findPlugin

    public Plugin findPlugin(java.lang.String name)

  Returns the plugin for the given name.
  param:
    name The name of the plugin
  return:
    the plugin or null if no plugin for the given name exists.

### findPlugin

    public Plugin findPlugin(java.lang.Class type)

  Returns the plugin for the given type.
  param:
    type The type of the plugin
  return:
    the plugin or null if no plugin for the given type exists.

### hasPlugin

    public boolean hasPlugin(java.lang.String name)

  Returns true if the container has a plugin with the given name, false otherwise.
  param:
    name The name of the plugin

### hasPlugin

    public boolean hasPlugin(java.lang.Class type)

  Returns true if the container has a plugin with the given type, false otherwise.
  param:
    type The type of the plugin

Groovy Documentation